1. Card Payments
  • API Docs Chile 🇨🇱
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
        POST
      • Create payment (tokenless)
        POST
      • Make a charge or deferred charge
        POST
      • Void a transaction
        DELETE
      • Refund a transaction
        DELETE
      • Request deferred options
        GET
      • Authorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Reauthorize payments
        POST
      • Capture an authorized payment
        POST
      • Verify Account
        POST
      • Validate OTP
        POST
      • Bin Info V2
        GET
      • Bin Info
        GET
      • Voucher
        GET
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Authorize payments
      • Capture an authorized payment
      • Get recurring charge Info
    • Card Async
      • Request a card async token
      • Init Transaction
      • Authorize payments
      • Capture an authorized payment
      • Get Status
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Authorize payments
      • Capture an authorized payment
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Get a Smartlink
      • Delete a smartlink
      • Update a Smartlink
    • Payment Button
      • Create a payment button
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get platform status
      • Get gateway status
    • Subscription Transactions
      • Get subscription transactions
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Settlement
      • Query settlement
  • API Raw Card Present Payments
    • Release Notes
    • Error Catalog
    • Test Data
    • Key Exchange Process
    • One-time payments
      • Single payment
    • Two-step-payments
      • Authorization and capture
    • Voids & Refunds
      • Refund a transaction
      • Void & Reverse
    • Card information
      • Get BIN Info
      • Bin Info V2
      • Request deferred options
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good practices
      • Refunds
      • Card Payments
      • Check your webhooks
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
      • Search
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • documentType
    • Amount-cash-in
    • amount
    • Card
    • ChargebackListResponse
    • Channel
    • StatusComponent
    • SubscriptionTransactionsResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • networkToken
    • extra_taxes
    • ChargebackItem
    • SubscriptionTransaction
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • webhooks
    • card
    • Amount-CL
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • headers
    • currency
    • Amount
    • card_details
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • Metadata
    • transactionType
    • enc_tlv
    • ErrorResponse403
    • ErrorResponse
    • TransactionResponse
    • CommandDivider
    • extraTaxes
    • Country
    • binInfo
    • Deferred
    • deferred
    • ErrorResponse500
    • payment_method
    • RawResponse
    • CommandFeed
    • SubscriptionUpdate
    • pos_details
    • CardData
    • CommandSpace
    • ContactDetails
    • Language
    • contact_details
    • sub_merchant
    • AmountWithTip
    • CommandCut
    • Subscription
    • metadata
    • LinkFailure
    • CommandImage
    • orderDetails
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooksChargeback
    • citMit
    • network
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Card Payments

Make a charge or deferred charge

POST
/card/v1/charges

This functionality is available for the following models:#

☑ Acquirer
☑ Aggregator
Make a charge with a token provided by Kushki which represents the customer's credit card.

Example: Credit Type 03 (Chile's "Cuotas Comercio" Installments)#

⚠️ Beta Feature
The implementation of "Cuotas Comercio" (Credit Type 03) for Chile is currently in Beta phase. The data structure and logic are subject to change without prior notice during this period.

Example: Credit Type 03 (Chile's "Cuotas Comercio" Installments)#

"deferred": {
    "graceMonths": "00",
    "creditType": "03",
    "months": 3
}
```json
"deferred": {
    "graceMonths": "00",
    "creditType": "03",
    "months": 3
  }

Do you have your own 3DS authentication engine?*#

Make sure you include the threeDomainSecure object in your request.
* Applies in Chile 🇨🇱.
Endpoint time out: 29 sec

Do you have your own subscriptions engine?*#

This functionality is available for the following models:#

☑ Acquirer
☐ Aggregator
* Applies in Chile 🇨🇱.
In case you have your own subscriptions engine (only PCI Compliance merchants), you can follow the steps below to process recurring charges:
1.
Obtain a card token by sending initialRecurrence in the transactionMode parameter.
2.
Use the obtained token in step 1 to make an initial charge (see the example named Initial recurrence charge for subscriptions).
3.
Make sure you save the transactionReference number of the charge completed in step 2.
4.
For the subsequent transactions, obtain a card token by sending subsequentRecurrence in the transactionMode parameter.
5.
Make a charge by sending the transactionReference number in the initialRecurrenceReference field (see the example named Subsequent recurrence charge for subscriptions)

Request

Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Created
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-uat.kushkipagos.com/card/v1/charges' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "24e5cc0d47fc4b2ab098bdb7d0b94569",
    "amount": {
        "currency": "CLP",
        "subtotalIva": 0,
        "subtotalIva0": 5000,
        "iva": 0,
        "ice": 0,
        "extraTaxes": {
            "iac": 0,
            "tasaAeroportuaria": 0,
            "agenciaDeViaje": 0
        }
    },
    "metadata": {
        "key0": "value0",
        "key1": "value1",
        "key2": "value2"
    },
    "fullResponse": "v2",
    "ignoreWarnings": true,
    "contactDetails": {
        "firstName": "Catalina",
        "lastName": "Fuentes",
        "email": "user@example.com",
        "documentType": "RUT",
        "documentNumber": "ABCD123456EF",
        "phoneNumber": "+56912345678"
    },
    "orderDetails": {
        "siteDomain": "example.com",
        "shippingDetails": {
            "name": "Catalina Fuentes",
            "phone": "+56912345678",
            "city": "Santiago",
            "region": "Región Metropolitana",
            "country": "Chile",
            "address1": "Centro 123"
        },
        "billingDetails": {
            "name": "Catalina Fuentes",
            "phone": "+56912345678",
            "city": "Santiago",
            "region": "Región Metropolitana",
            "country": "Chile",
            "address1": "Centro 123"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 15000,
                "sku": "10101042",
                "quantity": 1
            }
        ]
    },
    "threeDomainSecure": {
        "cavv": "AAABBoVBaZKAR3BkdkFpELpWIiE=",
        "eci": "07",
        "specificationVersion": "2.2.0",
        "acceptRisk": true
    }
}'
Response Response Example
201 - Without fullResponse
{
    "ticketNumber": "922513792073660814",
    "transactionReference": "6f16659e-b711-4995-a9ae-161aecbd6521"
}
Modified at 2026-07-27 22:03:18
Previous
Create payment (tokenless)
Next
Void a transaction
Built with